如何在OS X 10.5.4下安装mysql ruby gem?[英] How do I install the mysql ruby gem under OS X 10.5.4

本文是小编为大家收集整理的关于如何在OS X 10.5.4下安装mysql ruby gem?的处理方法,想解了如何在OS X 10.5.4下安装mysql ruby gem?的问题怎么解决?如何在OS X 10.5.4下安装mysql ruby gem?问题的解决办法?那么可以参考本文帮助大家快速定位并解决问题。

问题描述

这是交易.

$ gem --version

<块引用>

1.1.0

$ sudo gem install mysql --with-mysql-config=/usr/local/mysql/bin/mysql_config

<块引用>

批量更新 Gem 源索引:http://gems.rubyforge.org/ 错误:在本地或在存储库

$ sudo gem 更新

<块引用>

更新已安装的 gem 批量更新宝石来源索引:http://gems.rubyforge.org/

更新RedCloth 错误:执行 gem 时... (Gem::GemNotFoundException)在本地或存储库中找不到 RedCloth

我试过 这个, 这个, 这个, 这个,还有很多其他的.

没有一个对我有用.还有其他人有这个问题吗?如果是这样,您做了什么来解决上面未提及的问题?

推荐答案

首先,正如 Orion Edwards 所说,确保您拥有 ruby​​gems 1.2.不幸的是,

<块引用>

宝石更新--系统

对我不起作用.

我不得不这样做:

  1. 手动下载rubygems-update-1.2.0 来自 ruby​​forge.
  2. $ sudo gem install/path/to/rubygems-update-1.2.0.gem
  3. $ update_rubygems

现在我有 ruby​​gems 1.2 我跑了

<块引用>

$ sudo gem install mysql --with-mysql-config=/usr/local/mysql/bin/mysql_config

一切正常.感谢 Orion Edwards 引导我朝着正确的方向前进.

本文地址:https://www.itbaoku.cn/post/786614.html